import { Snowflake, Guild, Role, GuildBasedChannel } from 'discord.js';
export { knex } from "./db";
export { Config, ConfigTypes } from "./config";
export declare class Bot {
    log: any;
    client: any;
    commands: any;
    commandsArray: any;
    dirname: any;
    info: any;
    setup(dirname: any): Promise<void>;
    run(): Promise<void>;
    resolveGuild(guild: Guild | Snowflake): Promise<Guild | null>;
    getGuild(id: Snowflake): Promise<Guild | null>;
    getRole(id: Snowflake, guild: Guild | Snowflake): Promise<Role | null>;
    getGuildChannel(id: Snowflake, guild: Guild | Snowflake): Promise<GuildBasedChannel | null>;
}
