import { Snowflake } from "discord.js";
export declare enum ConfigTypes {
    Guild = "guild",
    User = "user"
}
export declare class Config {
    static setEvents: Map<string, Function>;
    static getRaw(scope: ConfigTypes, id: Snowflake | string | number, key: string): Promise<any>;
    static get(scope: ConfigTypes, id: Snowflake | string | number, key: string): Promise<any>;
    static set(scope: ConfigTypes, id: Snowflake | string | number, key: string, value: string): Promise<void>;
    static onSet(key: string, func: Function): Promise<void>;
}
